<div class="flexcol">
    
    <!-- Spell desc -->
    <div class="flexrow wa-frame spell-row" data-shortcut="{{spell.shortcut}}" data-child="{{spell.shortcutChild}}">
        <img class="spell-icon" src="{{spell.icon}}">
        <img class="spell-icon level" src="{{spell.levelIcon}}">
        <div>{{spell.name}}</div>
    </div>
    <!-- Spell caracteristics -->
    <div class="flexrow spell-caracs">
        <div class="wa-frame spell-elem"  data-shortcut="{{mainElement.shortcut}}" data-child="{{mainElement.shortcutChild}}"
            style="background-image: url({{mainElement.icon}});">
        </div>
        {{#each spellCaracteristics as |carac| }}
            <div class="wa-frame spell-carac"  data-shortcut="{{carac.shortcut}}" data-child="{{carac.shortcutChild}}"
                style="background-image: url({{carac.levelIcon}});">
                {{carac.name}}
            </div>
        {{/each}}
    </div>
    <!-- Spell shape -->
    <div class="flexcol wa-frame shape-panel" data-shortcut="{{shape.shortcut}}" data-child="{{shape.shortcutChild}}">
        <p class="shape-line title">{{shape.name}}</p>
        {{#each shape.fullDesc as |line| }}
            <p class="shape-line">{{line}}</p>
        {{/each}}
    </div>

</div>

